/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for the function iswupper(wint_t).  This function returns
   a non negative number if the input is an uppercase letter.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = 'I';
    fputwc(wc, stdout);
    if(iswupper(wc) != 0)
        printf(": is an uppercase letter.\n");
    else
        printf(": is not an uppercase letter.\n");
}

